local dataobj = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Raid Roll", {
	text = "Raid Roll",
	type = "data source",
	icon = "Interface\\Icons\\INV_Helmet_74",
	OnClick = function(clickedframe, button)
		--InterfaceOptionsFrame_OpenToCategory(myconfigframe)
		
		if button == "LeftButton" then
			RR_Command("toggle")
		elseif button == "RightButton" then
			InterfaceOptionsFrame_OpenToCategory(RaidRoll_Panel.panel);
		end
		if RaidRoll_DB["debug"] == true then ChatFrame1:AddMessage("You clicked with " .. button) end
	end,
})





if dataobj ~= nil then

	function dataobj:OnTooltipShow()
		self:AddLine(LOCALE_RR_BARTOOLTIP)
		
		
	end

	function dataobj:OnEnter()
		GameTooltip:SetOwner(self, "ANCHOR_NONE")
		GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT")
		GameTooltip:ClearLines()
		dataobj.OnTooltipShow(GameTooltip)
		GameTooltip:Show()
	end

	function dataobj:OnLeave()
		GameTooltip:Hide()
	end
	

end